<mat-card class="port-info-card">
  <mat-card-title class="card-title">
    port name: {{port.name}}
  </mat-card-title>
  <mat-card-content>
    <mat-list role="list">
      <mat-list-item role="listitem">
        port id: {{port.id}}
      </mat-list-item>
      <mat-list-item role="listitem">
        <mat-form-field class="example-full-width ip-input"
                        (click)="activateIP()">
          <input  matInput placeholder="set ip"
                  [disabled]="ipDisabled"
                  [(ngModel)]="port.ip"
                  [pattern]="ipPattern"/>
        </mat-form-field>
        <div *ngIf="isIPActive()">
          <button mat-button
                  (click)="submitIP()"
                  class="set-button"
                  id="ip-set-button">set</button>
        </div>
      </mat-list-item>

      <mat-list-item role="listitem">
        <mat-form-field class="example-full-width mask-input"
                        (click)="activateMask()">
          <input  matInput placeholder="set mask"
                  [disabled]="maskDisabled"
                  [(ngModel)]="port.mask"
                  [pattern]="maskPattern"/>
        </mat-form-field>
        <div *ngIf="isMaskActive()">
          <button mat-button (click)="submitMask()"
                  class="set-button"
                  id="mask-set-button">set</button>
        </div>
      </mat-list-item>

      <mat-list-item role="listitem">
        port linked: {{port.linked}}
      </mat-list-item>
      <mat-list-item role="listitem">
        shutdown: {{port.shutdown}}
      </mat-list-item>
      <mat-list-item role="listitem">
        <button mat-button (click)="closeConfig()"
                class="close-button">close</button>
      </mat-list-item>
    </mat-list>
  </mat-card-content>
</mat-card>
